> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Tripo3D P1

> Tripo3D P1 API 从文本提示词或单张物体图像生成低多边形 3D 网格，可选纹理。文档中的面数预算保持在数万以内，任务成功时可返回 GLB。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

Tripo3D P1 支持文生 3D 和单图生 3D，用于生成干净、轻量的 3D 资产。

## 模型

* **tripo3d-p1-text-to-3d** - 从提示词生成低多边形 3D 模型
* **tripo3d-p1-image-to-3d** - 从一张物体图像生成低多边形 3D 模型

## 必填参数

* **model**：`tripo3d-p1-text-to-3d` 或 `tripo3d-p1-image-to-3d`
* **input.prompt**：`tripo3d-p1-text-to-3d` 必填
* **input.image\_urls**：`tripo3d-p1-image-to-3d` 必填；只能传一项

## 可选参数

* **face\_limit**：目标面数，范围 `48` 到 `20000`
* **texture**：是否生成纹理。默认 `true`
* **model\_seed**：可选的整数种子，用于复现几何体
* **callback\_url**：可选，任务完成通知的 Webhook URL

## 输出

任务结果以文件列表返回。可用条目可能包括：

* `model_glb`
* `thumbnail`
* 可用时包括 `model_urls` 中的条目，例如 `glb`、`base_model` 和 `pbr_model`

每个文件条目在可用时包括 `label`、`file_url`、`file_type`、`format`、`content_type`、`file_name` 和 `file_size`。

## 注意事项

* P1 最适合需要较低多边形预算的轻量、干净网格资产。
* API 返回异步任务状态。请轮询统一的任务状态接口，或使用 `callback_url`。


## OpenAPI

````yaml zh/api-manual/3d-series/tripo-p1-3d.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Tripo3D P1 API
  description: Tripo3D P1 文生 3D 和图生 3D
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Tripo3D P1
      summary: 提交 Tripo3D P1 3D 任务
      description: 根据文本或一张图片生成干净的低多边形 3D 模型。
      operationId: SubmitTripo3dP13dTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              text-to-3d:
                summary: 文本生成 3D
                value:
                  model: tripo3d-p1-text-to-3d
                  input:
                    prompt: >-
                      A miniature pirate ship with tattered sails, cannon ports,
                      and wooden deck details
                    texture: true
                    face_limit: 12000
              image-to-3d:
                summary: 图片生成 3D
                value:
                  model: tripo3d-p1-image-to-3d
                  input:
                    image_urls:
                      - https://example.com/object-front.png
                    texture: false
                    face_limit: 8000
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          enum:
            - tripo3d-p1-text-to-3d
            - tripo3d-p1-image-to-3d
        callback_url:
          type: string
          format: uri
        input:
          $ref: '#/components/schemas/TripoP1Input'
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
    TripoP1Input:
      type: object
      properties:
        prompt:
          type: string
          maxLength: 1024
          description: tripo3d-p1-text-to-3d 必填。
        image_urls:
          type: array
          items:
            type: string
            format: uri
          minItems: 1
          maxItems: 1
          description: 图生 3D 恰好传 1 张图片。
        face_limit:
          type: integer
          minimum: 48
          maximum: 20000
        texture:
          type: boolean
          default: true
        model_seed:
          type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.